Đến nội dung


Hình ảnh

Cách chọn lại đối tượng ???


  • Please log in to reply
8 replies to this topic

#1 h2c

h2c

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 05 August 2007 - 10:25 AM

Cho mình hỏi khi mình chọn nhiều đối tượng và thực hiện xong 1 lệnh , bây giờ muốn chọn lại những đối tượng y chang như thế thì làm thế nào ? Nghe nói từ cad2006 trở đi có cách làm nhưng mình kiếm hoài ko thấy ?
Còn ở 2004 nếu thật sự chưa có chức năng này thì phải viết lisp ra sao ?
Cám ơn mọi người .
  • 0

#2 vbao

vbao

    biết lệnh array

  • CADViet Team
  • PipPipPip
  • 184 Bài viết
Điểm đánh giá: 80 (tàm tạm)

Đã gửi 05 August 2007 - 02:13 PM

Cho mình hỏi khi mình chọn nhiều đối tượng và thực hiện xong 1 lệnh , bây giờ muốn chọn lại những đối tượng y chang như thế thì làm thế nào ? Nghe nói từ cad2006 trở đi có cách làm nhưng mình kiếm hoài ko thấy ?
Còn ở 2004 nếu thật sự chưa có chức năng này thì phải viết lisp ra sao ?
Cám ơn mọi người .


Trong acad đã có sẵn
tại dòng nhắc "Select Objects" :
nhập L (Last) nếu muốn chọn đối tượng sau cùng mới được tạo ra
nhập P (Previous) nếu muốn chọn lại các đối tượng đã chọn trước đó
  • 0

#3 h2c

h2c

    biết vẽ ellipse

  • Members
  • PipPip
  • 51 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 05 August 2007 - 03:40 PM

Cám ơn bạn , trước giờ cứ quen select rồi mới đánh lệnh . Nhưng mà có cách nào chọn được previous rồi mới đánh lệnh không ? ( thói quen khó sửa )
  • 0

#4 vbao

vbao

    biết lệnh array

  • CADViet Team
  • PipPipPip
  • 184 Bài viết
Điểm đánh giá: 80 (tàm tạm)

Đã gửi 05 August 2007 - 06:13 PM

Cám ơn bạn , trước giờ cứ quen select rồi mới đánh lệnh . Nhưng mà có cách nào chọn được previous rồi mới đánh lệnh không ? ( thói quen khó sửa )


Không được !
  • 0

#5 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 05 August 2007 - 10:13 PM

Cám ơn bạn , trước giờ cứ quen select rồi mới đánh lệnh . Nhưng mà có cách nào chọn được previous rồi mới đánh lệnh không ? ( thói quen khó sửa )

Đúng như Vbao nói, ACAD không thể làm được việc này.
Nhưng với sự hỗ trợ của lisp, việc này có thể giải quyết được. Với tên hàm là PP, mã lệnh lisp như sau:

(defun c:pp()(sssetfirst (ssget "P")(ssget "P"))(princ))
  • 0

#6 hoai46ctt

hoai46ctt

    biết vẽ spline

  • Members
  • PipPip
  • 91 Bài viết
Điểm đánh giá: 33 (tàm tạm)

Đã gửi 07 December 2007 - 02:57 PM

Mã lệnh lisp chọn lại tui thấy rất hay, nhưng không hiểu sao máy tui bây giờ thông báo lỗi
Command: PP Unknown command "PP". Press F1 for help.
Command: nil
tui không hiểu tại sao, mong Hoành chỉ giúp, tui xin cảm ơn.
  • 0
Lần 1: Một hai ba z...ô...zô.
Lần 2: Một hai ba z...ô...zô.
Lần...: Một hai ba z...ô...zô.
Lần 10: Một hai ba "z...a...za".
*************************
Ym! hoai46ctt

#7 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 07 December 2007 - 03:15 PM

Mã lệnh lisp chọn lại tui thấy rất hay, nhưng không hiểu sao máy tui bây giờ thông báo lỗi
Command: PP Unknown command "PP". Press F1 for help.
Command: nil
tui không hiểu tại sao, mong Hoành chỉ giúp, tui xin cảm ơn.

Bạn đọc thêm ở đây để biết cách upload:
http://www.cadviet.com/forum/index.php?showtopic=1787

Mã lệnh trên đủ ngắn để chúng ta khẳng định rằng nó không thể sai được.
  • 0

#8 quoccuongvkt

quoccuongvkt

    biết vẽ arc

  • Members
  • PipPip
  • 41 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 08 December 2007 - 01:05 AM

Bạn đọc thêm ở đây để biết cách upload:
http://www.cadviet.com/forum/index.php?showtopic=1787

Mã lệnh trên đủ ngắn để chúng ta khẳng định rằng nó không thể sai được.

theo mình thấy muốn chọn lại đối tượng trước kia thì mình đánh lenh mình cần làm tiếp sao đó bám phim p là nó chọn lại tất cả các đối tượng đã được chọn ở lenh trước đó
  • 0

#9 alpha

alpha

    biết zoom

  • Members
  • Pip
  • 12 Bài viết
Điểm đánh giá: 2 (bình thường)

Đã gửi 08 January 2008 - 04:08 PM

Cám ơn bạn , trước giờ cứ quen select rồi mới đánh lệnh . Nhưng mà có cách nào chọn được previous rồi mới đánh lệnh không ? ( thói quen khó sửa )



Command : select enter
Command : P enter (or L)

u có thể dùng lệnh aliasedit để đặt phím tắt cho lệnh select cho tiện hơn.
  • 0